import { request } from 'undici';
import { lookup } from 'node:dns';
export default class TokenService {
    endpoint;
    server;
    constructor(name) {
        this.endpoint = name;
        this.server = 'ts.local.toast-data.center:31440';
    }
    async connect() {
        lookup(this.server, (err, _) => {
            if (err)
                throw new Error(err.message);
        });
        return await request(`http://${this.server}/${this.endpoint}`).then(x => x.body.json());
    }
}
